Overview | Project | Class | Tree | Deprecated | Index

Nestopia Core API

FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD

## api
Enum Nes::Api::Video::RenderState::Filter

Video Filter.

Field Summary
`FILTER_2XSAI` 2xSaI filter.
`FILTER_HQ2X` Hq2x filter.
`FILTER_HQ3X` Hq3x filter.
`FILTER_HQ4X` Hq4x filter.
`FILTER_NONE` No filter (default).
`FILTER_NTSC` NTSC filter.
`FILTER_SCALE2X` Scale2x filter.
`FILTER_SCALE3X` Scale3x filter.

Field Detail

### FILTER_2XSAI

    public FILTER_2XSAI

  2xSaI filter.

### FILTER_HQ2X

    public FILTER_HQ2X

  Hq2x filter.

### FILTER_HQ3X

    public FILTER_HQ3X

  Hq3x filter.

### FILTER_HQ4X

    public FILTER_HQ4X

  Hq4x filter.

### FILTER_NONE

    public FILTER_NONE

  No filter (default).

### FILTER_NTSC

    public FILTER_NTSC

  NTSC filter.

### FILTER_SCALE2X

    public FILTER_SCALE2X

  Scale2x filter.

### FILTER_SCALE3X

    public FILTER_SCALE3X

  Scale3x filter.

Overview | Project | Class | Tree | Deprecated | Index

Nestopia Core API

FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD